compare {SLGI} | R Documentation

## Compare observed data to expected in permutation models

### Description

This method summarizes the result of the `modelSLGI` function.

### Usage

    ## S4 method for signature 'siResult':
    compare(x)

### Arguments

`x` | a `siResult` object to summarize

### Details

This compares the number of observed interactions to the number of expected interactions in each permutation model. It counts how many times the number of observed interactions is greater than the number of expected interactions (from the permutations) and divides by the number of permutations applied.

### Value

Numerical vector

### Author(s)

N. LeMeur

### See Also

modelSLGI

### Examples

    data(ScISIC)
    data(Atong)
    data(SGA)
    model <-  modelSLGI(Atong, universe= SGA, interactome=ScISIC, type="intM", perm=2)
    ans <- compare(model)

[Package SLGI version 1.4.0 Index]